Part Box: Difference between revisions

From FreeCAD Documentation
(Removed the Placement and Label properties. These are standard and should not be mentioned.)
(Marked this version for translation)
Line 20: Line 20:
}}
}}


== Description ==
== Description == <!--T:38-->


<!--T:19-->
<!--T:19-->
Line 29: Line 29:
<translate>
<translate>


== Usage ==
== Usage == <!--T:39-->


<!--T:21-->
<!--T:21-->
Line 43: Line 43:
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.


== Properties ==
== Properties == <!--T:40-->


<!--T:41-->
{{Properties_Title|Box}}
{{Properties_Title|Box}}


Line 52: Line 53:
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


== Scripting ==
== Scripting == <!--T:42-->


<!--T:26-->
<!--T:26-->

Revision as of 14:02, 8 January 2022

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:
    • Press the Cube button in the toolbar.
    • Select the Part → Primitives → Cube from the menu bar.

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Properties

Box

  • DataLength: The length parameter is the Box's dimension in the x-direction.
  • DataWidth: The width parameter is the Box's dimension in the y-direction.
  • DataHeight: The height parameter is the Box's dimension in the z-direction.

Scripting

A Part Box can be created using the following function:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

box.Length = 25
box.Width = 15
box.Height = 30

You can change its placement with:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))